From 1e505847294437bed4cb405f51b58396512f01a8 Mon Sep 17 00:00:00 2001
From: Pawel Golinski <golpaw1@gmail.com>
Date: Fri, 11 Mar 2016 00:12:57 +0100
Subject: [PATCH] Notify toolbar about fullscreen mode change

Toolbar was not notified about user turning on/off
fullscreen mode without using toolbar button, which
caused it to show inconsistent state.
---
 src/Gui/MainWindow.cpp | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/src/Gui/MainWindow.cpp b/src/Gui/MainWindow.cpp
index 609e710..ea977a3 100644
--- a/src/Gui/MainWindow.cpp
+++ b/src/Gui/MainWindow.cpp
@@ -176,6 +176,12 @@ MainWindow::changeEvent( QEvent *e )
         m_ui.retranslateUi( this );
         retranslateUi();
         break;
+    case QEvent::WindowStateChange:
+        if ( isFullScreen() )
+            m_ui.actionFullscreen->setChecked( true );
+        else
+            m_ui.actionFullscreen->setChecked( false );
+        break;
     default:
         break;
     }
-- 
2.5.4 (Apple Git-61)

